GET
/api/v1/agents/:entityPublicIdAgents_GetAgentEntity
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Agents_GetAgentEntity",
"summary": "Read one canonical public agent entity",
"tags": [
"Agents"
],
"parameters": [
{
"name": "entityPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string"
},
"tagline": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"type": "string"
},
"imageUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"publiclyListed": {
"type": "boolean"
},
"verificationState": {
"type": "string",
"enum": [
"UNVERIFIED",
"PARTIAL",
"VERIFIED",
"EXPIRED",
"REVOKED",
"CONFLICTED"
]
},
"workReadiness": {
"type": "string",
"enum": [
"READY",
"CONDITIONAL",
"NOT_READY",
"UNKNOWN"
]
},
"rank": {
"anyOf": [
{
"type": "string",
"pattern": "^\\d+$"
},
{
"type": "null"
}
]
},
"rankVersion": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"rankConfidencePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"scorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"trustScorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"hotScorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"discoveryScorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"sponsorships": {
"type": "array",
"items": {
"type": "object",
"properties": {
"surface": {
"type": "string",
"enum": [
"DIRECTORY",
"HOMEPAGE",
"NEW_AGENTS",
"NETWORK_HUB",
"PROTOCOL_HUB"
]
},
"label": {
"type": "string"
},
"policyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"discoveryWeightPpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"startsAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"endsAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"surface",
"label",
"policyVersion",
"discoveryWeightPpm",
"startsAt",
"endsAt"
],
"additionalProperties": false
}
},
"supportsX402": {
"type": "boolean"
},
"hasA2A": {
"type": "boolean"
},
"hasMcp": {
"type": "boolean"
},
"hasVerifiedRevenue": {
"type": "boolean"
},
"hasPerformance": {
"type": "boolean"
},
"hasToken": {
"type": "boolean"
},
"revenueSummary": {
"anyOf": [
{
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"asset": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalAssetKey": {
"type": "string"
},
"caip19": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"symbol": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"decimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalAssetKey",
"caip19",
"symbol",
"decimals"
],
"additionalProperties": false
},
"amountBasis": {
"type": "string",
"enum": [
"CONFIRMED_NET",
"CONFIRMED_GROSS"
]
},
"amountUnits": {
"type": "string",
"pattern": "^-?(0|[1-9][0-9]*)$"
},
"periodStart": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"periodEnd": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"methodologyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"coveragePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"ageSeconds": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"stale": {
"type": "boolean"
}
},
"required": [
"publicId",
"asset",
"amountBasis",
"amountUnits",
"periodStart",
"periodEnd",
"methodologyVersion",
"coveragePpm",
"confidencePpm",
"projectedAt",
"ageSeconds",
"stale"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"performanceSummary": {
"anyOf": [
{
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"scope": {
"type": "string",
"enum": [
"TRADING",
"TASK",
"SERVICE",
"COMMERCIAL"
]
},
"asset": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalAssetKey": {
"type": "string"
},
"caip19": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"symbol": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"decimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalAssetKey",
"caip19",
"symbol",
"decimals"
],
"additionalProperties": false
},
"quoteAsset": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalAssetKey": {
"type": "string"
},
"caip19": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"symbol": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"decimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalAssetKey",
"caip19",
"symbol",
"decimals"
],
"additionalProperties": false
},
"returnPpm": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"periodStart": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"periodEnd": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"methodologyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"coveragePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"ageSeconds": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"stale": {
"type": "boolean"
}
},
"required": [
"publicId",
"scope",
"asset",
"quoteAsset",
"returnPpm",
"periodStart",
"periodEnd",
"methodologyVersion",
"coveragePpm",
"confidencePpm",
"projectedAt",
"ageSeconds",
"stale"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"burnToEarnAssessment": {
"anyOf": [
{
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"tokenProjectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"state": {
"type": "string",
"enum": [
"VERIFIED",
"OBSERVED",
"DECLARED",
"NOT_APPLICABLE",
"UNKNOWN"
]
},
"periodStart": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"periodEnd": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"methodologyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"confidencePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"assessedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"expiresAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"stale": {
"type": "boolean"
}
},
"required": [
"publicId",
"tokenProjectId",
"state",
"periodStart",
"periodEnd",
"methodologyVersion",
"confidencePpm",
"assessedAt",
"expiresAt",
"stale"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"starCount": {
"type": "string",
"pattern": "^\\d+$"
},
"feedbackCount": {
"type": "string",
"pattern": "^\\d+$"
},
"latestActivityAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"registeredAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"publishedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"networks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalNetworkKey": {
"type": "string",
"minLength": 1
},
"familyKey": {
"type": "string",
"minLength": 1
},
"displayName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"shortName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalNetworkKey",
"familyKey",
"displayName",
"shortName"
],
"additionalProperties": false
}
},
"protocols": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"key",
"name"
],
"additionalProperties": false
}
},
"services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"serviceType": {
"type": "string",
"minLength": 1
},
"protocolVersion": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"identityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"required": [
"serviceType",
"protocolVersion",
"identityPublicId"
],
"additionalProperties": false
}
},
"capabilities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"minLength": 1
},
"externalKey": {
"type": "string",
"minLength": 1
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"kind",
"externalKey",
"label"
],
"additionalProperties": false
}
},
"trust": {
"type": "array",
"items": {
"type": "object",
"properties": {
"providerKey": {
"type": "string",
"minLength": 1
},
"trustKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"tierKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"verified": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"providerKey",
"trustKey",
"tierKey",
"verified"
],
"additionalProperties": false
}
},
"topSkills": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"slug": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"id",
"slug",
"name"
],
"additionalProperties": false
}
},
"identities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"schemeKey": {
"type": "string",
"minLength": 1
},
"canonicalKey": {
"type": "string",
"minLength": 1
},
"nativeId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lifecycleState": {
"type": "string",
"minLength": 1
},
"network": {
"anyOf": [
{
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalNetworkKey": {
"type": "string",
"minLength": 1
},
"familyKey": {
"type": "string",
"minLength": 1
},
"displayName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"shortName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalNetworkKey",
"familyKey",
"displayName",
"shortName"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"issuer": {
"anyOf": [
{
"type": "object",
"properties": {
"protocolKey": {
"type": "string"
},
"deploymentKey": {
"type": "string"
}
},
"required": [
"protocolKey",
"deploymentKey"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"profile": {
"anyOf": [
{
"type": "object",
"properties": {
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name",
"description"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"anchors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"schemeKey": {
"type": "string",
"minLength": 1
},
"canonicalValue": {
"type": "string",
"minLength": 1
},
"role": {
"type": "string",
"minLength": 1
}
},
"required": [
"schemeKey",
"canonicalValue",
"role"
],
"additionalProperties": false
}
},
"locators": {
"type": "array",
"items": {
"type": "object",
"properties": {
"schemeKey": {
"type": "string",
"minLength": 1
},
"canonicalValue": {
"type": "string",
"minLength": 1
},
"role": {
"type": "string",
"minLength": 1
},
"validFrom": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"schemeKey",
"canonicalValue",
"role",
"validFrom"
],
"additionalProperties": false
}
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"schemeKey": {
"type": "string",
"minLength": 1
},
"canonicalAssetKey": {
"type": "string",
"minLength": 1
},
"role": {
"type": "string",
"minLength": 1
},
"network": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalNetworkKey": {
"type": "string",
"minLength": 1
},
"familyKey": {
"type": "string",
"minLength": 1
},
"displayName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"shortName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalNetworkKey",
"familyKey",
"displayName",
"shortName"
],
"additionalProperties": false
}
},
"required": [
"publicId",
"schemeKey",
"canonicalAssetKey",
"role",
"network"
],
"additionalProperties": false
}
},
"registrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"protocolKey": {
"type": "string",
"minLength": 1
},
"deploymentKey": {
"type": "string",
"minLength": 1
},
"registrationKey": {
"type": "string",
"minLength": 1
},
"lifecycleState": {
"type": "string",
"minLength": 1
},
"sourceActive": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
}
},
"required": [
"protocolKey",
"deploymentKey",
"registrationKey",
"lifecycleState",
"sourceActive"
],
"additionalProperties": false
}
},
"services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"serviceType": {
"type": "string",
"minLength": 1
},
"endpointUri": {
"type": "string",
"minLength": 1
},
"protocolVersion": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lifecycleState": {
"type": "string",
"minLength": 1
}
},
"required": [
"serviceType",
"endpointUri",
"protocolVersion",
"lifecycleState"
],
"additionalProperties": false
}
},
"trustDeclarations": {
"type": "array",
"items": {
"type": "string"
}
},
"reputation": {
"type": "array",
"items": {
"type": "object",
"properties": {
"providerKey": {
"type": "string",
"minLength": 1
},
"modelKey": {
"type": "string",
"minLength": 1
},
"modelVersion": {
"type": "string",
"minLength": 1
},
"scoreInteger": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"scoreDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"tierKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"confidenceInteger": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"confidenceDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"riskInteger": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"riskDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"asOf": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"providerKey",
"modelKey",
"modelVersion",
"scoreInteger",
"scoreDecimals",
"tierKey",
"confidenceInteger",
"confidenceDecimals",
"riskInteger",
"riskDecimals",
"asOf"
],
"additionalProperties": false
}
},
"attestations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"attestationType": {
"type": "string",
"minLength": 1
},
"schemaKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"validFrom": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"validUntil": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"attestationType",
"schemaKey",
"validFrom",
"validUntil",
"revokedAt"
],
"additionalProperties": false
}
}
},
"required": [
"publicId",
"schemeKey",
"canonicalKey",
"nativeId",
"lifecycleState",
"network",
"issuer",
"profile",
"anchors",
"locators",
"assets",
"registrations",
"services",
"trustDeclarations",
"reputation",
"attestations"
],
"additionalProperties": false
}
}
},
"required": [
"publicId",
"canonicalSlug",
"name",
"tagline",
"description",
"imageUri",
"publiclyListed",
"verificationState",
"workReadiness",
"rank",
"rankVersion",
"rankConfidencePpm",
"scorePpm",
"trustScorePpm",
"hotScorePpm",
"discoveryScorePpm",
"sponsorships",
"supportsX402",
"hasA2A",
"hasMcp",
"hasVerifiedRevenue",
"hasPerformance",
"hasToken",
"revenueSummary",
"performanceSummary",
"burnToEarnAssessment",
"starCount",
"feedbackCount",
"latestActivityAt",
"registeredAt",
"publishedAt",
"projectedAt",
"networks",
"protocols",
"services",
"capabilities",
"trust",
"topSkills",
"identities"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 1,
"x-stability": "STABLE"
}